Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## igeo
Enum ITextGeo.VerticalAlignment

    java.lang.Object
      java.lang.Enum<ITextGeo.VerticalAlignment>
          igeo.ITextGeo.VerticalAlignment

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<ITextGeo.VerticalAlignment>

Enclosing class:
  ITextGeo

    public static enum ITextGeo.VerticalAlignment

extends java.lang.Enum<ITextGeo.VerticalAlignment>

Enum Constant Summary
`Bottom`
`Middle`
`Top`

Method Summary
`static ITextGeo.VerticalAlignment` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static ITextGeo.VerticalAlignment[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### Top

    public static final ITextGeo.VerticalAlignment Top

### Middle

    public static final ITextGeo.VerticalAlignment Middle

### Bottom

    public static final ITextGeo.VerticalAlignment Bottom

Method Detail

### values

    public static ITextGeo.VerticalAlignment[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (ITextGeo.VerticalAlignment c : ITextGeo.VerticalAlignment.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static ITextGeo.VerticalAlignment valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD